/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;

import org.ow2.petals.microkernel.api.configuration.DomainConfiguration.DomainMode;

/**
 * The domain mode of the current topology and the domain mode of the checked
 * domain are inconsistent.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InconsistentDomainModeConfigurationException extends
        InconsistentConfigurationException {

    private static final long serialVersionUID = 2109235083033751286L;

    private final static String MESSAGE_TEMPLATE = "Inconsistent domain modes, expect: %s, actual: %s";

    public InconsistentDomainModeConfigurationException(final DomainMode expectedDomainMode,
            final DomainMode actualDomainMode) {
        super(String.format(MESSAGE_TEMPLATE, expectedDomainMode.name(), actualDomainMode.name()));
    }

}
