/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.extension.exception;

/**
 * An error occurs during the instantiation of a Petals extension.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class CreationExtensionException extends PetalsExtensionException {

    private static final long serialVersionUID = 372345442348528967L;

    private static final String MESSAGE_TEMPLATE = "An error occurs creating the extension '%s'";

    private static final String MESSAGE_TEMPLATE_WITH_ERRMSG = "An error occurs creating the extension '%s' (%s)";

    public CreationExtensionException(final String extensionName, final String message) {
        super(String.format(MESSAGE_TEMPLATE_WITH_ERRMSG, extensionName, message));
    }

    public CreationExtensionException(final String extensionName, final Throwable cause) {
        super(String.format(MESSAGE_TEMPLATE, extensionName), cause);
    }

}
