/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.extension.exception;

import java.util.List;

import org.ow2.petals.microkernel.api.extension.PetalsExtensionController;

public class NotSatisfiedDependenciesException extends PetalsExtensionException {
    
    private static final long serialVersionUID = 5288558410172494268L;

    private final static String MESSAGE = "Few Petals extensions have dependencies not satisfied";

    /**
     * The extensions for which a dependency is not satisfied.
     */
    private final List<PetalsExtensionController> extensionControllers;
    
    public NotSatisfiedDependenciesException(final List<PetalsExtensionController> extensionControllers) {
        super(NotSatisfiedDependenciesException.MESSAGE);
        this.extensionControllers = extensionControllers;
    }

    /**
     * @return The extension controllers that a dependency not satisfied.
     */
    public List<PetalsExtensionController> getExtensionControllers() {
        return this.extensionControllers;
    }

}
