/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.management;

import java.net.URL;

import org.ow2.petals.basisapi.exception.PetalsException;

/**
 * An atomic deployment service which deals only with one Service Assembly and
 * returns easy to understand values...
 * 
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public interface AtomicDeploymentService {

    public static final String COMPONENT_LOGGER_NAME = "Petals.JBI-Management.AtomicDeploymentService";

    boolean deploy(URL saURL) throws PetalsException;

    boolean start(String saId) throws PetalsException;

    boolean stop(String saId) throws PetalsException;

    boolean shutdown(String saId) throws PetalsException;

    boolean undeploy(String saId) throws PetalsException;

}
