/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.messaging;

import javax.jbi.messaging.MessagingException;

/**
 * The petals delivery channel API.
 * @author Christophe Hamerling - EBM WebSourcing
 */
public interface DeliveryChannel extends javax.jbi.messaging.DeliveryChannel {

    /**
     * The intern message exchange property name to mark the exchange as a
     * synchronous invocation.
     */
    public static final String PROPERTY_SENDSYNC = "org.ow2.petals.messaging.sendSync";

    /**
     * Check is the delivery channel is open
     * 
     * @return
     */
    boolean isOpened();

    /**
     * FIXME : {@link #isOpened()} should be enough...
     * 
     * @throws MessagingException
     */
    void checkDeliveryChannelIsOpened() throws MessagingException;

}
